Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1032679 - PRD34 - [RFE] Single Disk Snapshots
Summary: PRD34 - [RFE] Single Disk Snapshots
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Daniel Erez
QA Contact: Aharon Canan
URL: http://www.ovirt.org/Features/Single_...
Whiteboard: storage
Depends On: 1054219
Blocks: 1038525 rhev3.4beta 1083310 1142926
TreeView+ depends on / blocked
 
Reported: 2013-11-20 15:06 UTC by Allon Mureinik
Modified: 2016-02-10 20:22 UTC (History)
15 users (show)

Fixed In Version: ovirt-engine-3.4.0_beta1
Doc Type: Enhancement
Doc Text:
Previously, a snapshot represented a single point in time that contained the configuration of the VM and all attached disks. Creating, previewing, and committing a snapshot had to be done on the entire VM - including all the disks. This feature, single-disk snapshots, introduces the ability to remove that constraint by allowing the exclusion of disks from a snapshot. This feature also adds a new functionality: it is now possible to create a customized snapshot composed of configuration and disks from multiple snapshots.
Clone Of:
: 1054219 (view as bug list)
Environment:
Last Closed: 2014-06-09 15:06:16 UTC
oVirt Team: Storage
Target Upstream Version:
scohen: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 22773 None None None Never
oVirt gerrit 22774 None None None Never
oVirt gerrit 22775 None None None Never
oVirt gerrit 22776 None None None Never
oVirt gerrit 22777 None None None Never
oVirt gerrit 22778 None None None Never
oVirt gerrit 22781 None None None Never
oVirt gerrit 22782 None None None Never

Description Allon Mureinik 2013-11-20 15:06:09 UTC
Description of problem:
VM Snapshots are too broad, and forcing all the disks to be snaphosted together is a restriction that hinders other flows (e.g., Live Storage Migration).

The proposed RFE will allow taking (and previewing/comminting) a snapshot of a single disk, or any combination of the disks in the VM.

Comment 5 Aharon Canan 2014-05-07 15:19:28 UTC
verified based on https://tcms.engineering.redhat.com/run/123063/?from_plan=12057

Comment 6 errata-xmlrpc 2014-06-09 15:06:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.